///////////////////////////////////////////////////////////////////////////////
////  (c) Chaichuk AU (chaichuk@mail.ru), 								   ////
////  2004, Chelyabinsk, NTC Privodnaya Tehnika (momentum@chel.surnet.ru)  ////
///////////////////////////////////////////////////////////////////////////////

#ifndef __CW_LADDER_FILE_IO_H_
#define __CW_LADDER_FILE_IO_H_

#include <stdio.h>
#include "cw_ladder_mnemonics.h"
#include "cw_ladder_parser_cj.h"

#define SKIP_WHITESPACE				0
#define SKIP_TO_WHITESPACE_OR_EOL	1
#define DONE						2


parser_handle_t *parser_open (const char *fname);
void parser_close (parser_handle_t *handle);

const token_t* 		find_token (char *token);
char* 				get_next_token (parser_handle_t *h);
void 				get_next_str (parser_handle_t *h);


#endif //__CW_LADDER_FILE_IO_H_